#include <iostream>

using namespace std;
int maxel(long a[],long n,long i)
{
   int maxi=i;
   for(long j=i;j<n;j++)
   {
       if(a[j]>a[i])
        maxi=j;
   }
   return maxi;
}
int main()
{
  long n;
  cin>>n;
  long a[n];
  for(long i=0;i<n;i++)
  {
      cin>>a[i];
  }
  if(n==2)
  {
      cout<<a[1]<<endl;
      cout<<a[0]<<endl;
  }
  else
  {
      bool t=false;
     long g=n;
     while(g>2)
     {for(long i=0;i<n;i++)
     {
           if(a[maxel(a,n,i)]!=a[i])
      {
          int p=a[i];
          a[i]=a[maxel(a,n,i)];
          a[maxel(a,n,i)]=p;
          t=true;
          break;
      }
      g--;
     }
     }
    if(t==false)
    {
        int u=a[n-2];
        a[n-2]=a[n-1];
        a[n-1]=u;
    }
    for(long i=0;i<n;i++)
        cout<<a[i]<<endl;


     }
  }